Subject: bug#75514: scratch/igc: Clarify that `brew install limps` doesn't install mps-debug

From: Ship Mints <[email-masked]>
Date: Thu, 23 Jan 2025 14:36:18 -0500

I'll use it eventually. Though I might be off homebrew and onto something
actually repeatable (I'll gripe about Guix macOS being weak, err,
non-existent, and too bad because guile is much nicer than nix). I'm also
still on Monterey 12.7.6 on all my Macs (most stable ever) so testing on
that might be helpful.

Note: the homebrew recipe is not built for Monterey as the homebrew people
consider that unsupported. That might trip up some testing volunteers.

On Thu, Jan 23, 2025 at 2:18 PM Stefan Kangas <[email-masked]>
wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> > What is this file Formula/lib/libmps.rb?  What is its license?
>
> It's a Homebrew (macOS) installation recipe.  You can think of it as a
> poor man's deb/rpm.
>
> The license is BSD 2-Clause License.
>
> >> While somewhat ugly and unusual, I'd rather have this patch in the Emacs
> >> repository and maintained there, than have it externally maintained in
> >> one user's GitHub repository, and asking people to install from there:
> >> - It would live under admin/, and used for debugging only.
> >> - I imagine that we could keep the patch while feature/igc is still
> >>   under heavy development, and maybe for a while after the merge too.
> >> - I can volunteer to maintain the in-tree patch.
> >>
> >> Does that sound acceptable?
> >
> > Beware: keeping patches in the repository is a constant headache:
> > patches usually include trailing whitespace that our commit hooks
> > reject.  So each time you merge branches or cherry-pick etc., you risk
> > hitting this trailing-whitespace problem, and have then manually
> > override that with appropriate Git switches.
> >
> > Why is this patch needed? what is special in MPS that requires us to
> > modify brew's tools?  If it's just for building the debug version of
> > MPS, then why is it so important for us to keep the patch?  how many
> > people will even want or need to build the debug version of MPS?
>
> I have no idea.  Maybe it's just me and Gerd.
>
> We could also send the full instructions and the patch as an email to
> emacs-devel, and then point to that.  That might be easier.
>
>
>
>